Debian Bug report logs - #684191
charybdis: license conflict: 4-clause BSD + GPLv2+

version graph

Package: src:charybdis; Maintainer for src:charybdis is Antoine Beaupré <anarcat@debian.org>;

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Tue, 7 Aug 2012 16:45:01 UTC

Severity: minor

Tags: fixed-upstream, upstream

Found in version charybdis/3.3.0-7

Fixed in version charybdis/3.4.2-1

Done: Antoine Beaupré <anarcat@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://github.com/atheme/charybdis/issues/5

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Antoine Beaupré <anarcat@debian.org>:
Bug#684191; Package src:charybdis. (Tue, 07 Aug 2012 16:45:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: charybdis: license conflict: 4-clause BSD + GPLv2+
Date: Tue, 7 Aug 2012 18:42:52 +0200
Source: charybdis
Version: 3.3.0-7
Severity: serious

According to the copyright file, src/reslib.c is licensed under 4-clause 
BSD, while the rest of the code is under GPLv2 (or later). These two 
licenses are incompatible.

-- 
Jakub Wilk



Information forwarded to debian-bugs-dist@lists.debian.org, Antoine Beaupré <anarcat@debian.org>:
Bug#684191; Package src:charybdis. (Sat, 29 Sep 2012 23:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@anarcat.ath.cx>:
Extra info received and forwarded to list. Copy sent to Antoine Beaupré <anarcat@debian.org>. (Sat, 29 Sep 2012 23:00:06 GMT) Full text and rfc822 format available.

Message #8 received at 684191@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@anarcat.ath.cx>
To: Jakub Wilk <jwilk@debian.org>
Cc: 684191@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#684191: charybdis: license conflict: 4-clause BSD + GPLv2+
Date: Sat, 29 Sep 2012 18:56:30 -0400
[Message part 1 (text/plain, inline)]
severity 684191 minor
tags 684191 + upstream https://github.com/atheme/charybdis/issues/5
thanks

On 2012-08-07, Jakub Wilk wrote:
> According to the copyright file, src/reslib.c is licensed under 4-clause 
> BSD, while the rest of the code is under GPLv2 (or later). These two 
> licenses are incompatible.

Yeah, so while I agree the 4-clause BSD license is incompatible with
GPL, it just so happens this specific file comes from FreeBSD's bind
distribution, which is covered by the blanked removal of the clause:

http://svnweb.freebsd.org/base/head/COPYRIGHT?view=co

To quote this document:

"""
July 22, 1999

To All Licensees, Distributors of Any Version of BSD:

As you know, certain of the Berkeley Software Distribution ("BSD") source
code files require that further distributions of products containing all or
portions of the software, acknowledge within their advertising materials
that such products contain software developed by UC Berkeley and its
contributors.

Specifically, the provision reads:

"     * 3. All advertising materials mentioning features or use of this software
      *    must display the following acknowledgement:
      *    This product includes software developed by the University of
      *    California, Berkeley and its contributors."

Effective immediately, licensees and distributors are no longer required to
include the acknowledgement within advertising materials.  Accordingly, the
foregoing paragraph of those BSD Unix files containing it is hereby deleted
in its entirety.

William Hoskins
Director, Office of Technology Licensing
University of California, Berkeley
"""

Upstream has made the following patch accordingly:

https://github.com/atheme/charybdis/commit/deb24d2b314811cb87d3d8cc86e68c38b1dfe6cf.patch

I could apply this patch, but it seems rather silly to require a freeze
exception just for such a trivial patch, especially since I do not
consider we are infringing the copy rights of the regents of the
University of California.

The upstream bug report is https://github.com/atheme/charybdis/issues/5 and has been closed.

Put the severity back up if you disagree.

A.

-- 
Antoine Beaupré +++ Réseau Koumbit Networks +++ +1.514.387.6262 #208
--------------------------------------------------------------------
[Message part 2 (application/pgp-signature, inline)]

Severity set to 'minor' from 'serious' Request was from Antoine Beaupré <anarcat@anarcat.ath.cx> to control@bugs.debian.org. (Sat, 29 Sep 2012 23:00:08 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Antoine Beaupré <anarcat@anarcat.ath.cx> to control@bugs.debian.org. (Sat, 29 Sep 2012 23:00:09 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://github.com/atheme/charybdis/issues/5'. Request was from Antoine Beaupré <anarcat@debian.org> to control@bugs.debian.org. (Sun, 30 Sep 2012 01:09:05 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 04 Oct 2012 17:06:38 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Antoine Beaupré <anarcat@debian.org> to control@bugs.debian.org. (Wed, 05 Jun 2013 06:12:16 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 684191: 711152 Request was from Antoine Beaupré <anarcat@debian.org> to control@bugs.debian.org. (Wed, 05 Jun 2013 06:12:31 GMT) Full text and rfc822 format available.

Reply sent to Antoine Beaupré <anarcat@debian.org>:
You have taken responsibility. (Mon, 01 Jul 2013 09:03:13 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Mon, 01 Jul 2013 09:03:13 GMT) Full text and rfc822 format available.

Message #25 received at 684191-close@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: 684191-close@bugs.debian.org
Subject: Bug#684191: fixed in charybdis 3.4.2-1
Date: Mon, 01 Jul 2013 09:01:12 +0000
Source: charybdis
Source-Version: 3.4.2-1

We believe that the bug you reported is fixed in the latest version of
charybdis, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 684191@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Antoine Beaupré <anarcat@debian.org> (supplier of updated charybdis package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 04 Jun 2013 22:04:22 -0400
Source: charybdis
Binary: charybdis charybdis-dbg
Architecture: source amd64
Version: 3.4.2-1
Distribution: unstable
Urgency: low
Maintainer: Antoine Beaupré <anarcat@debian.org>
Changed-By: Antoine Beaupré <anarcat@debian.org>
Description: 
 charybdis  - fast, scalable irc server
 charybdis-dbg - fast, scalable irc server
Closes: 655012 655624 684191 701438 711152
Changes: 
 charybdis (3.4.2-1) unstable; urgency=low
 .
   * new upstream release (Closes: #684191, #701438, #711152)
   * significantly cleanup the install layout so that libraries are all in
     a private directory, .la files are not installed (Closes: #655624),
     binaries are in /usr/bin again (with charybdis- prefix), and the
     manpage doesn't conflict with other ircd(8) manpages.
   * this makes charydbis *not* conflict with other ircds
   * upgrade to dh 9 for better autotools support and hardening flags
   * hardening flags are disabled because of upstream issues, see TODO
   * change branch layout to follow upstream layout: upstream is on the
     master branch
   * dropped patches:
     * default-nicklen: upstream bumped it to 31 (we were at 30)
     * CVE-2012-6084.patch: merged upstream
     * cleanup-bandb-properly: merged upstream
     * no_hardcoded_bandb_dpath: forgot why it is there (?!)
     * no_rpath: we ship in private directories
   * remaining patches have been re-forwarded upstream as their old
     bugtracker was destroyed
   * new patches:
     * extra-clean: some generated files were left around after clean
     * gnutls.patch: restore gnutls support removed from upstream, but
       readded at our request - gnutls support is still problematic
       however, see: #705369 for followup
   * rerolled patch non-static-sqlite to fix ftbs with ld --as-needed
     (Closes: #655012)
   * fix permissions on /etc/charybdis so it's not readable by all
   * provide debugging symbols, in a separate package
Checksums-Sha1: 
 66dac18b3e2e13144021dcfa816c1e724a06b0f1 2060 charybdis_3.4.2-1.dsc
 bb7a87f876a1c9870acf4a9676ad37e2b0c6ce6d 1941172 charybdis_3.4.2.orig.tar.gz
 4da03032431f43b868ea5f2df3d740c67ef7e0b4 24607 charybdis_3.4.2-1.debian.tar.gz
 9dfccf5129a5831f341b79f6c7669c09e5c481d8 756896 charybdis_3.4.2-1_amd64.deb
 6a29acad3779144c1d9b115b315940f11651e7fa 1687786 charybdis-dbg_3.4.2-1_amd64.deb
Checksums-Sha256: 
 2f370c80be1a1024f1e28dd33711f8441729c3091fa73e4cbcdb24f12d1330b7 2060 charybdis_3.4.2-1.dsc
 cbc20aca5022758b9039a34237a1d7a0f99b48ec5c3ef8e7a04d49f3bc264789 1941172 charybdis_3.4.2.orig.tar.gz
 c1cc3efb9af0f9d7ae22fd5f74a4bab4bd4ac6186b22316a7509e4237badab5f 24607 charybdis_3.4.2-1.debian.tar.gz
 66672452a6ae9b2bea86aaa24adacd9d828842853bc5414b5b79fe979548c136 756896 charybdis_3.4.2-1_amd64.deb
 23d9fff2aa494ae439fc176396bd94e875d3a60b949c15595db5ece11508712b 1687786 charybdis-dbg_3.4.2-1_amd64.deb
Files: 
 f296fc80435c93b99dc3c1565c0acc2e 2060 net optional charybdis_3.4.2-1.dsc
 6fd12f8c9ac99b8f6215488a47b37319 1941172 net optional charybdis_3.4.2.orig.tar.gz
 e0851547eeaf10d9c583a7520dc83688 24607 net optional charybdis_3.4.2-1.debian.tar.gz
 4abc77da5238d8958ae3902d79b4fab4 756896 net optional charybdis_3.4.2-1_amd64.deb
 10ff12013af1420fb87b56167ff07406 1687786 debug extra charybdis-dbg_3.4.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJR0RElAAoJEHkhUlJ7dZIefEgP/0Lup3FmsTWxpu25QVoZU2tL
aJ+M09wB6PZ5x5+/BWw0SO4Bve0Gg/uBm+3hetFVZwf+Wpw7iqk/Ul0D9+oUf9FI
bD8ivk8catK8xZOAqbO6Q+OmmW7XFWBk0wQNbuh8HD2QsVSArVo41saihvigQ/AU
2sDKizz/FWxvOdERLTSpME70YVJuSkNpkrpxhv5xTEy1SgqWQFqf7XwI7PAiS54v
8/iEk6WHvGiHNG0q1KXMS9jbnjlsSm2YyBSOQyB1hy9772PtQf2mnYySqSyrwL1i
Mak2CQpY1fiQXpV7+bhDzeC3WVywihFW0XW60jzsZ9kXKGAEjYs41nCCPsRgqq5g
2VNP/0ogYIt0laI77gOv2GoKbl1K7TQjhKwXV3ByGGBk0EJY5P6JkdYfZskWiosU
L2OMXb983yshmnC7XP9Gn19dtq2SFkcn/TYWWb7v5gdxruJImyIvQG6wS8jUdkHK
13TToMIxezSpd5JakmK4JPCoMy18sHXlvYMlDM169wqJCy2bqCyHVz/W4knoM2PP
DKnNPY0Sh8zk3BN0LxlTldJMZY2oQVv3shmRmSjD6r3vdTvzriiYCNhgdOg2qWbI
lzJnhJ8bX+MoZJUKLZIhrSmF5omOT9EeYXMwOZuuH6WG4zPGOZ6Jb6PV5aQARED2
aUXYkvVb2sQUhj4w5Yxi
=1NGJ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Aug 2013 07:37:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:39:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.